com.ibm.openpages.api.configuration

## Interface IRLSAccess

-     public interface IRLSAccess

  Record-level security interface that allows you to manage user and group access to OpenPages objects. Grants users or groups with read, write, associate, delete, and create privileges on objects. Examples of permissions for rules:
  - The Owner of an issue object has read, write, and associate permissions, where Owner is a field in the issue object and it contains an actor value.
  - The Owner of an issue object also has read, write, and associate permissions on specific child objects. For example, you are the owner of a process. The permissions that you are granted for the process will also be granted to the risks and controls that are descendants of the process.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Permissions` | `getPermission()` Returns the Permissions(read, write, delete, associate, create) applied on IRLSRule.
    `java.util.List<IRLSAccess>` | `getSet()` Returns the List(Permissions) for this field.
    `java.lang.Boolean` | `isEnabled()` Returns the boolean value for this field.
    `void` | `setEnabled(java.lang.Boolean enabled)` Sets the boolean value for RLSAccess.
    `void` | `setPermission(Permissions type)` Sets the Permissions(read, write, delete, associate, create) for IRLSRule.

- - ### Method Detail

    - #### getPermission

          Permissions getPermission()

      Returns the Permissions(read, write, delete, associate, create) applied on IRLSRule.
      Returns:
        permission for this field

    - #### setPermission

          void setPermission(Permissions type)

      Sets the Permissions(read, write, delete, associate, create) for IRLSRule.
      Parameters:
        `type` - type of permission, which cannot be null

    - #### isEnabled

          java.lang.Boolean isEnabled()

      Returns the boolean value for this field.
      Returns:
        true if the field is enabled, otherwise returns false

    - #### setEnabled

          void setEnabled(java.lang.Boolean enabled)

      Sets the boolean value for RLSAccess.
      Parameters:
        `enabled` - Boolean value for RLSAccess, which cannot be null

    - #### getSet

          java.util.List<IRLSAccess> getSet()

      Returns the List(Permissions) for this field.
      Returns:
        List(Permissions) for this field

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.